<script lang="ts">
  export let color: PlayerColor;

  import blackStoneData from "../assets/black_stone.svg";
  import whiteStoneData from "../assets/white_stone.svg";
</script>

{#if color === "w"}
  <img src={whiteStoneData} alt="White stone" />
{:else}
  <img src={blackStoneData} alt="Black stone" />
{/if}

<style>
  img {
    display: block;
    filter: drop-shadow(3px 3px 3px #0007);
  }
</style>
